question

nicole-chen avatar image
nicole-chen asked

Cannot install AmazonSDKTester on Kindle fire 1st gen

For testing the IAP I followed up the instruction: https://developer.amazon.com/appsandservices/apis/earn/in-app-purchasing/docs/adobe-testing , when I try to install the Amazon SDK Tester Application, I got the Failure [INSTALL_FAILED_OLDER_SDK]. My device is Kindle fire 1st Gen, and system version is 6.3.3_user_4112920. How can I fix it? thanks.
iap
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

nicole-chen avatar image
nicole-chen answered
I got log when install AmazonSDKTester fail: W/PackageParser(1390): Could not parse package (at Binary XML file line #7): Requires newer sdk version #11 (current version is #10). "Android device supporting SDK version 10 or later" which is mentioned in the SDK Tester Requirements. Maybe the latest AmazonSDKTester change the min sdk support. So where can I download the proper sdk tester for kindle fire 1st gen? Thanks
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Nick Gardner avatar image
Nick Gardner answered
Hi, This issue is something we're looking into and will provide an update once we have more information. Thanks, Nick
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

beststream avatar image
beststream answered
I have same issue. Any news?
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Nick Gardner avatar image
Nick Gardner answered
This is still something we're working on, I'll make a post here when there is an update. -Nick
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.